import { html as a } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (l, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? m(t, s) : t, i = l.length - 1, n; i >= 0; i--)
    (n = l[i]) && (e = (o ? n(t, s, e) : n(e)) || e);
  return o && e && g(t, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--loading", this.class = "c-pieIcon c-pieIcon--loading", this.name = "IconLoading";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--loading"><path d="M14.781 8A6.782 6.782 0 1 1 8 1.219V2.53A5.469 5.469 0 1 0 13.469 8h1.312ZM4.72 8H6.03A1.969 1.969 0 1 1 8 9.969v1.312A3.282 3.282 0 1 0 4.719 8Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  h("icon-loading")
], r);
export {
  r as IconLoading
};
